classification
Title: Missing a plural in library/functions
Type: Stage: resolved
Components: Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, pablogsal, rffontenelle
Priority: normal Keywords: patch

Created on 2020-10-28 11:08 by rffontenelle, last changed 2020-11-03 01:09 by pablogsal. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23015 merged rffontenelle, 2020-10-28 11:21
PR 23114 merged miss-islington, 2020-11-02 16:54
Messages (3)
msg379827 - (view) Author: Rafael Fontenelle (rffontenelle) * Date: 2020-10-28 11:08
Missing plural in the start of the following sentence from library/functions:

"The optional argument *flags* and *dont_inherit* controls which :ref:`compiler options <ast-compiler-flags>` should be activated and which :ref:`future features <future>` should be allowed."

This was introduced in bpo-40484, probably by accident.

Link to source code: https://github.com/python/cpython/blob/master/Doc/library/functions.rst#L262
msg379883 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-10-29 20:48
New changeset b76a8400217827e604ebb543f45156f3caacd9a0 by Rafael Fontenelle in branch 'master':
bpo-42180: fix plural in arguments and control (GH-23015)
https://github.com/python/cpython/commit/b76a8400217827e604ebb543f45156f3caacd9a0
msg380258 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-11-03 01:09
New changeset 6b7a90db362253d67201c2a438a3f38f1ec6180c by Miss Skeleton (bot) in branch '3.9':
bpo-42180: fix plural in arguments and control (GH-23015) (GH-23114)
https://github.com/python/cpython/commit/6b7a90db362253d67201c2a438a3f38f1ec6180c
History
Date User Action Args
2020-11-03 01:09:10pablogsalsetmessages: + msg380258
2020-11-02 16:54:33miss-islingtonsetnosy: + miss-islington

pull_requests: + pull_request22031
2020-10-29 20:53:39pablogsalsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-10-29 20:48:24pablogsalsetnosy: + pablogsal
messages: + msg379883
2020-10-28 11:21:53rffontenellesetkeywords: + patch
stage: patch review
pull_requests: + pull_request21931
2020-10-28 11:08:34rffontenellecreate